#
# spec file for package perl-Minion-Backend-SQLite
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Minion-Backend-SQLite
Version:        4.002
Release:        lp151.1.1
%define cpan_name Minion-Backend-SQLite
Summary:        SQLite backend for Minion job queue
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Minion-Backend-SQLite/
Source0:        https://cpan.metacpan.org/authors/id/D/DB/DBOOK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Minion) >= 9.0
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Mojo::SQLite) >= 3.000
BuildRequires:  perl(Mojolicious) >= 7.29
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Minion) >= 9.0
Requires:       perl(Mojo::SQLite) >= 3.000
Requires:       perl(Mojolicious) >= 7.29
%{perl_requires}

%description
Minion::Backend::SQLite is a backend for Minion based on Mojo::SQLite. All
necessary tables will be created automatically with a set of migrations
named 'minion'. If no connection string or ':temp:' is provided, the
database will be created in a temporary directory.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md examples README
%license LICENSE

%changelog
* Wed Oct 10 2018 Stephan Kulow <coolo@suse.com>
- initial package 4.002
  * created by cpanspec 1.78.08
